#snackbar {
    visibility: hidden;
    margin: 0 auto;
    background-color: #000;
    color: #fff;
    text-align: center;
    border-radius: 0px;
    padding: 16px;
    position: fixed;
    z-index: 100000;
    left: 25%;
    bottom: 30px;
    font-size: 17px;
    width: 50%;
}

#snackbar_icon{
    color:white;
    padding:4px;
}

#snackbar.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 3.5s;
    animation: fadein 0.5s, fadeout 0.5s 3.5s;
    animation-fill-mode: forwards;
    -webkit-animation-fill-mode: forwards;
}

@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}


@media only screen and (max-width: 500px) {
    #snackbar {
        left: 10%;
        font-size: 14px;
        width: 80%;
    }
}



#pre-loader {
    display:none;
    background-color: rgba(46, 44, 44, 0.486);
    backdrop-filter: blur(2px);
    height: 100vh;
    width: 100vw;
    position: fixed;
    z-index: 999999;
    margin-top: 0px;
    top: 0px;
}

#pre-loader_content {
    width:100%;
    height:100%;
    display:flex;
    justify-content: center;
    align-items: center;
    
    
}

.loader-test {
    display: flex;
    justify-content: center;
    align-items: center;
    --color: hsla(0, 0%, 93%, 0.945);
    --animation: 2s ease-in-out infinite;
  }
  
  .loader-test .circle {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 20px;
    height: 20px;
    border: solid 1px white;
    border-radius: 50%;
    margin: 0 10px;
    background-color: transparent;
    animation: circle-keys var(--animation);
  }
  
  .loader-test .circle .dot {
    position: absolute;
    transform: translate(-50%, -50%);
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: white;
    animation: dot-keys var(--animation);
  }
  
  .loader-test .circle .outline {
    position: absolute;
    transform: translate(-50%, -50%);
    width: 20px;
    height: 20px;
    border-radius: 50%;
    animation: outline-keys var(--animation);
  }
  
  .circle:nth-child(2) {
    animation-delay: 0.3s;
  }
  
  .circle:nth-child(3) {
    animation-delay: 0.6s;
  }
  
  .circle:nth-child(4) {
    animation-delay: 0.9s;
  }
  
  .circle:nth-child(5) {
    animation-delay: 1.2s;
  }
  
  .circle:nth-child(2) .dot {
    animation-delay: 0.3s;
  }
  
  .circle:nth-child(3) .dot {
    animation-delay: 0.6s;
  }
  
  .circle:nth-child(4) .dot {
    animation-delay: 0.9s;
  }
  
  .circle:nth-child(5) .dot {
    animation-delay: 1.2s;
  }
  
  .circle:nth-child(1) .outline {
    animation-delay: 0.9s;
  }
  
  .circle:nth-child(2) .outline {
    animation-delay: 1.2s;
  }
  
  .circle:nth-child(3) .outline {
    animation-delay: 1.5s;
  }
  
  .circle:nth-child(4) .outline {
    animation-delay: 1.8s;
  }
  
  .circle:nth-child(5) .outline {
    animation-delay: 2.1s;
  }
  
  @keyframes circle-keys {
    0% {
      transform: scale(1);
      opacity: 1;
    }
  
    50% {
      transform: scale(1.5);
      opacity: 0.5;
    }
  
    100% {
      transform: scale(1);
      opacity: 1;
    }
  }
  
  @keyframes dot-keys {
    0% {
      transform: scale(1);
    }
  
    50% {
      transform: scale(0);
    }
  
    100% {
      transform: scale(1);
    }
  }
  
  @keyframes outline-keys {
    0% {
      transform: scale(0);
      outline: solid 20px var(--color);
      outline-offset: 0;
      opacity: 1;
    }
  
    100% {
      transform: scale(1);
      outline: solid 0 transparent;
      outline-offset: 20px;
      opacity: 0;
    }
  }





  @-webkit-keyframes honeycomb {
    0%,
    20%,
    80%,
    100% {
      opacity: 0;
      -webkit-transform: scale(0);
      transform: scale(0);
    }
  
    30%,
    70% {
      opacity: 1;
      -webkit-transform: scale(1);
      transform: scale(1);
    }
  }
  
  @keyframes honeycomb {
    0%,
    20%,
    80%,
    100% {
      opacity: 0;
      -webkit-transform: scale(0);
      transform: scale(0);
    }
  
    30%,
    70% {
      opacity: 1;
      -webkit-transform: scale(1);
      transform: scale(1);
    }
  }
  
  .honeycomb {
    height: 24px;
    position: relative;
    width: 24px;
  }
  
  .honeycomb div {
    -webkit-animation: honeycomb 2.1s infinite backwards;
    animation: honeycomb 2.1s infinite backwards;
    background: #f3f3f3;
    height: 12px;
    margin-top: 6px;
    position: absolute;
    width: 24px;
  }
  
  .honeycomb div:after, .honeycomb div:before {
    content: '';
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    position: absolute;
    left: 0;
    right: 0;
  }
  
  .honeycomb div:after {
    top: -6px;
    border-bottom: 6px solid #f3f3f3;
  }
  
  .honeycomb div:before {
    bottom: -6px;
    border-top: 6px solid #f3f3f3;
  }
  
  .honeycomb div:nth-child(1) {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    left: -28px;
    top: 0;
  }
  
  .honeycomb div:nth-child(2) {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
    left: -14px;
    top: 22px;
  }
  
  .honeycomb div:nth-child(3) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
    left: 14px;
    top: 22px;
  }
  
  .honeycomb div:nth-child(4) {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
    left: 28px;
    top: 0;
  }
  
  .honeycomb div:nth-child(5) {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
    left: 14px;
    top: -22px;
  }
  
  .honeycomb div:nth-child(6) {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
    left: -14px;
    top: -22px;
  }
  
  .honeycomb div:nth-child(7) {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
    left: 0;
    top: 0;
  }